hscolour-1.24.1: Colourise Haskell code.

Safe Haskell | None
Language | Haskell98

Language.Haskell.HsColour

Description

This is a library which colourises Haskell code. It currently has six output formats:

- ANSI terminal codes
- LaTeX macros
- HTML 3.2 with font tags
- HTML 4.01 with external CSS.
- XHTML 1.0 with internal CSS.
- mIRC chat client colour codes.

Synopsis

- data Output
  - = TTY
  - | TTYg TerminalType
  - | LaTeX
  - | HTML
  - | CSS
  - | ACSS
  - | ICSS
  - | MIRC
- data ColourPrefs = ColourPrefs {
  - keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight]
  }
- hscolour :: Output -> ColourPrefs -> Bool -> Bool -> String -> Bool -> String -> String

# Documentation

data Output #

The supported output formats.

Constructors

TTY | ANSI terminal codes. Equivalent to `TTYg` `Ansi16Colour` but left in for backwards compatibility.
TTYg TerminalType | Terminal codes appropriate for the `TerminalType`.
LaTeX | TeX macros
HTML | HTML with font tags
CSS | HTML with CSS.
ACSS | HTML with CSS and mouseover types.
ICSS | HTML with inline CSS.
MIRC | mIRC chat clients

Instances

Eq Output # |
Methods (==) :: Output -> Output -> Bool # (/=) :: Output -> Output -> Bool #
Show Output # |
Methods showsPrec :: Int -> Output -> ShowS # show :: Output -> String # showList :: [Output] -> ShowS #

data ColourPrefs #

Colour preferences.

Constructors

ColourPrefs |
Fields keyword, keyglyph, layout, comment, conid, varid, conop, varop, string, char, number, cpp, selection, variantselection, definition :: [Highlight]

Instances

Eq ColourPrefs # |
Methods (==) :: ColourPrefs -> ColourPrefs -> Bool # (/=) :: ColourPrefs -> ColourPrefs -> Bool #
Read ColourPrefs # |
Methods readsPrec :: Int -> ReadS ColourPrefs # readList :: ReadS [ColourPrefs] # readPrec :: ReadPrec ColourPrefs # readListPrec :: ReadPrec [ColourPrefs] #
Show ColourPrefs # |
Methods showsPrec :: Int -> ColourPrefs -> ShowS # show :: ColourPrefs -> String # showList :: [ColourPrefs] -> ShowS #

hscolour #

Arguments

:: Output | Output format.
-> ColourPrefs | Colour preferences (for formats that support them).
-> Bool | Whether to include anchors.
-> Bool | Whether output document is partial or complete.
-> String | Title for output.
-> Bool | Whether input document is literate haskell or not
-> String | Haskell source code.
-> String | Coloured Haskell source code.

Colourise Haskell source code with the given output format.